# Copyright (C) 2021-2024 Stephan Kreutzer
#
# This file is part of xml_xslt_auto_transformator_1 workflow, a submodule of the
# digital_publishing_workflow_tools package.
#
# xml_xslt_auto_transformator_1 workflow is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3 or any later version,
# as published by the Free Software Foundation.
#
# xml_xslt_auto_transformator_1 workflow is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License 3 for more details.
#
# You should have received a copy of the GNU Affero General Public License 3
# along with xml_xslt_auto_transformator_1 workflow. If not, see <http://www.gnu.org/licenses/>.

messageArgumentsMissingUsage = Usage:
messageParameterList = job-file result-info-file
messageResultInfoFileCantGetCanonicalPath = Can''t get canonical path of result information file "{0}".
messageResultInfoFileIsntWritable = Result information file "{0}" isn''t writable.
messageResultInfoPathIsntAFile = Result information path "{0}" exists already, but isn''t a file.
messageCantDetermineProgramPath = Can''t determine program path.
messageTempDirectoryIsntWritable = Temporary directory "{0}" isn''t writable.
messageTempPathIsntADirectory = Temporary path "{0}" isn''t a directory.
messageTempDirectoryCantCreate = Can''t create temporary directory "{0}".
messageJobFileCantGetCanonicalPath = Can''t get canonical path of the job file "{0}".
messageJobFileDoesntExist = Job file "{0}" doesn''t exist.
messageJobPathIsntAFile = Job path "{0}" isn''t a file.
messageJobFileIsntReadable = Job file "{0}" isn''t readable.
messageCallDetails = Called with job file "{0}" and result information file "{1}".
messageJobFileEntryIsMissingAnAttribute = Element "{1}" in job file "{0}" is missing its "{2}" attribute.
messageJobFileElementConfiguredMoreThanOnce = Element "{1}" configured more than once in job file "{0}".
messageInputFileCantGetCanonicalPath = Can''t get canonical path of input file "{0}".
messageInputFileDoesntExist = Input file "{0}", configured in job file "{1}", doesn''t exist.
messageInputPathIsntAFile = Input path "{0}", configured in job file "{1}", isn''t a file.
messageInputFileIsntReadable = Input file "{0}", configured in job file "{1}", isn''t readable.
messageOutputFileCantGetCanonicalPath = Can''t get canonical path of output file "{0}".
messageOutputFileIsntWritable = Output file "{1}" as configured in job file "{0}" isn''t writable.
messageOutputPathIsntAFile = Output path "{1}" as configured in job file "{0}" exists already, but isn''t a file.
messageJobFileErrorWhileReading = An error occurred while reading jobfile "{0}".
messageJobFileNoInputFile = No input file configured in job file "{0}".
messageJobFileNoOutputFile = No output file configured in job file "{0}".
messageXmlNamespaceExtractor1JobFileExistsButIsntWritable = The xml_namespace_extractor_1 job file "{0}" does already exist, but isn''t overwritable.
messageXmlNamespaceExtractor1JobPathExistsButIsntAFile = The xml_namespace_extractor_1 job path "{0}" does already exist, but isn''t a file.
messageXmlNamespaceExtractor1ResultInfoFileExistsButIsntWritable = The xml_namespace_extractor_1 result information file "{0}" does already exist, but isn''t overwritable.
messageXmlNamespaceExtractor1ResultInfoPathExistsButIsntAFile = The xml_namespace_extractor_1 result information path "{0}" does exist, but isn''t a file.
messageXmlNamespaceExtractor1OutputFileExistsButIsntWritable = The xml_namespace_extractor_1 output file "{0}" does already exist, but isn''t overwritable.
messageXmlNamespaceExtractor1OutputPathExistsButIsntAFile = The xml_namespace_extractor_1 output path "{0}" does exist, but isn''t a file.
messageXmlNamespaceExtractor1JobFileWritingError = An error occurred while writing the xml_namespace_extractor_1 job file "{0}".
messageXmlNamespaceExtractor1ErrorWhileReadingOutput = An error occurred while reading output of xml_namespace_extractor_1.
messageXmlNamespaceExtractor1ResultInfoFileDoesntExistButShould = The xml_namespace_extractor_1 result information file "{0}" doesn''t exist, but should by now.
messageXmlNamespaceExtractor1ResultInfoFileIsntReadable = The xml_namespace_extractor_1 result information file "{0}" isn''t readable.
messageXmlNamespaceExtractor1ResultInfoFileErrorWhileReading = An error occurred while reading the xml_namespace_extractor_1 result information file "{0}".
messageXmlNamespaceExtractor1CallWasntSuccessful = The call of xml_namespace_extractor_1 wasn''t successful.
messageXmlNamespaceExtractor1OutputFileDoesntExistButShould = The xml_namespace_extractor_1 output file "{0}" doesn''t exist, but should by now.
messageXmlNamespaceExtractor1OutputFileIsntReadable = The xml_namespace_extractor_1 output file "{0}" isn''t readable.
messageXmlXsltTransformator1NamespacesToJobfileTransformationJobFileExistsButIsntWritable = The xml_xslt_transformator_1 job file "{0}" for transforming the namespace file to a job file does already exist, but isn''t overwritable.
messageXmlXsltTransformator1NamespacesToJobfileTransformationJobPathExistsButIsntAFile = The xml_xslt_transformator_1 job path "{0}" for transforming the namespace file to a job file does already exist, but isn''t a file.
messageXmlXsltTransformator1NamespacesToJobfileTransformationResultInfoFileExistsButIsntWritable = The xml_xslt_transformator_1 result information file "{0}" for transforming the namespace file to a job file does already exist, but isn''t overwritable.
messageXmlXsltTransformator1NamespacesToJobfileTransformationResultInfoPathExistsButIsntAFile = The xml_xslt_transformator_1 result information path "{0}" for transforming the namespace file to a job file does already exist, but isn''t a file.
messageXmlXsltTransformator1JobFileExistsButIsntWritable = The xml_xslt_transformator_1 job file "{0}" does already exist, but isn''t overwritable.
messageXmlXsltTransformator1JobPathExistsButIsntAFile = The xml_xslt_transformator_1 job path "{0}" does already exist, but isn''t a file.
messageXmlXsltTransformator1NamespacesToJobfileTransformationJobFileWritingError = An error occurred while writing the xml_xslt_transformator_1 job file "{0}" for transforming the namespace file to a job file.
messageXmlXsltTransformator1NamespacesToJobfileTransformationErrorWhileReadingOutput = An error occurred while reading output of xml_xslt_transformator_1 for transforming the namespace file to a job file.
messageXmlXsltTransformator1NamespacesToJobfileTransformationResultInfoFileDoesntExistButShould = The xml_xslt_transformator_1 result information file "{0}" for transforming the namespace file to a job file doesn''t exist, but should by now.
messageXmlXsltTransformator1NamespacesToJobfileTransformationResultInfoFileIsntReadable = The xml_xslt_transformator_1 result information file "{0}" for transforming the namespace file to a job file isn''t readable.
messageXmlXsltTransformator1NamespacesToJobfileTransformationResultInfoFileErrorWhileReading = An error occurred while reading the xml_xslt_transformator_1 result information file "{0}" for transforming the namespace file to a job file.
messageXmlXsltTransformator1NamespacesToJobfileTransformationCallWasntSuccessful = The call of xml_xslt_transformator_1 for transforming the namespace file to a job file wasn''t successful.
messageTemporaryOutputFileExistsButIsntWritable = The temporary output file "{0}" does already exist, but isn''t overwritable.
messageTemporaryOutputPathExistsButIsntAFile = The temporary output file path "{0}" does already exist, but isn''t a file.
messageXmlXsltTransformator1ResultInfoFileExistsButIsntWritable = The xml_xslt_transformator_1 job file "{0}" does already exist, but isn''t overwritable.
messageXmlXsltTransformator1ResultInfoPathExistsButIsntAFile = The xml_xslt_transformator_1 job path "{0}" does already exist, but isn''t a file.
messageXmlXsltTransformator1ErrorWhileReadingOutput = An error occurred while reading output of xml_xslt_transformator_1.
messageXmlXsltTransformator1ResultInfoFileDoesntExistButShould = The xml_xslt_transformator_1 result information file "{0}" doesn''t exist, but should by now.
messageXmlXsltTransformator1ResultInfoFileIsntReadable = The xml_xslt_transformator_1 result information file "{0}" isn''t readable.
messageXmlXsltTransformator1ResultInfoFileErrorWhileReading = An error occurred while reading the xml_xslt_transformator_1 result information file "{0}".
messageXmlXsltTransformator1CallWasntSuccessful = The call of xml_xslt_transformator_1 wasn''t successful.
messageCantCopyBecauseFromDoesntExist = Can''t copy "{0}" to "{1}" because "{0}" doesn''t exist.
messageCantCopyBecauseFromIsntAFile = Can''t copy "{0}" to "{1}" because "{0}" isn''t a file.
messageCantCopyBecauseFromIsntReadable = Can''t copy "{0}" to "{1}" because "{0}" isn''t readable.
messageCantCopyBecauseToIsntAFile = Can''t copy "{0}" to "{1}" because "{1}" exists already but isn''t a file.
messageCantCopyBecauseToIsntWritable = Can''t copy "{0}" to "{1}" because "{1}" isn''t writable.
messageErrorWhileCopying = An error occurred while copying "{0}" to "{1}".
